curl --request GET \
--url https://rest.kyckr.com/lite/profile/{countryISO}/{companyCode} \
--header 'Authorization: <api-key>'import requests
url = "https://rest.kyckr.com/lite/profile/{countryISO}/{companyCode}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://rest.kyckr.com/lite/profile/{countryISO}/{companyCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companyProfileField": {
"activityField": [
{
"codeField": "",
"descriptionField": ""
}
],
"addressesField": [
{
"countryField": "IRELAND",
"lineField": [
{
"lineField": "",
"typeField": "",
"typeCodeField": ""
}
],
"addressInOneLineField": "ARC LABS RESEARCH CENTER, WIT WEST CAMPUS, CARRIGANORE WATERFORD, CO WATERFORD, WATERFORD, IRELAND",
"addressLine1Field": "ARC LABS RESEARCH CENTER",
"addressLine2Field": "WIT WEST CAMPUS",
"addressLine3Field": "CARRIGANORE WATERFORD",
"addressLine4Field": "CO WATERFORD, WATERFORD, IRELAND",
"postcodeField": "",
"cityTownField": "",
"regionStateField": ""
}
],
"codeField": "436024",
"dateField": "Wed, 04 Aug 2021 10:28:23 GMT",
"foundationDateField": "",
"lastAnnualAccountDateField": "2020-06-30T00:00:00Z",
"legalFormField": "1153",
"legalFormDeclarationField": "LTD - Private Company Limited by Shares",
"legalStatusField": "Normal ",
"nameField": "KYCKR IRELAND LIMITED",
"officialField": false,
"registrationAuthorityField": "Companies Registration Office Ireland",
"registrationDateField": "2007-03-08T00:00:00Z"
},
"transactionIdField": "11027753"
}Lite Profile
Retrieving a basic company profile. You will need the code field (this can be retrieved from the company search by name), ISO country code of the registry and registration authority code (where populated). From this you will be able to retrieve a lite profile for the chosen company and validate basic information.
Authorizations
Path Parameters
2-digit ISO country code
Retrieved from search results "codeField" attribute
Query Parameters
Registration Authority string from search query
Optional client order reference
Response
In this example, we are retrieving a lite company profile for a company called Kyckr in Ireland. We know that the CompanyCode for Kyckr is 436024, from our company search by name API call example. In the request parameters, we have entered IE as the CountryISO, 436024 as the CompanyCode. And our API access token as the request header.